function UploaderEX(divUploader, successUpload)
{
	var me = this;
	this.divName= divUploader;
	this.uploader = $("#"+divUploader).uploadFile({
							url: contextPath+"/contrato/titulos/cargaMasivaTitulosTXAjax.action",
							fileName:"fileUpload",
							dragDrop:true,
							autoSubmit:false,
							multiple:false,
							maxFileCount:1,
							maxFileSize: 20971520,
							dynamicFormData: function()
							{
								var data ={
											"titulo.idContrato" : $("#idContrato").val(),
											"titulo.fechaInicio" : $("#fechaInicioNuevo").val(),
											"tipoCarga" : $('input[name=tipoCargaDocumento]:checked').val()
										};
								return data;
							},
							
							dragDropStr: "<span><b>Arrastra aqui el archivo a subir</b></span>",
				            uploadStr:"Subir",
				            abortStr: "Abortar",
				            cancelStr: "Cancelar",
				            deletelStr: "Borrar",
				            doneStr: "Concluido",
				            multiDragErrorStr: "No se permite mas arrastrar mas de un archivo.",
				            extErrorStr: "no es posible adjuntar el documento. Activar extensiones: ",
				            duplicateErrorStr: "no es posible adjuntar el documento. El archivo ya existe.",
				            sizeErrorStr: "no es posible adjuntar el documento. Tama&ntilde;o m\u00E1ximo permitido: ",
				            uploadErrorStr: "Carga no permitida",
				            maxFileCountErrorStr: "no es posible adjuntar el documento. Tama&ntilde;o m\u00E1ximo de documentos permitido:",
				            downloadStr: "Descargar",
				            acceptFiles:" .xls, .xlsx,application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel ",
				            
				            onSuccess:function(files,data,xhr,pd)
				            {
				            	successUpload(data);
				            },
				            onError: function(files,status,errMsg,pd)
				            {
				            	showError("Ocurri\u00F3 un error al subir el documento");
				            	$('#modalCarga').modal('hide');
				            }
					}); 
	
	
	this.idFormCarga = $("#idFormCarga").validate({
		rules : {
			"tipoCargaDocumento" : {
				required : true
			},
			"fechaInicioNuevo" : {
				required : function (){
						if ($('input[name=tipoCargaDocumento]:checked').val() == 'N') { return  true; } 
				        else { return false;}},
				date : true
			}
		}
	});
}


UploaderEX.prototype.startUpload = function() {
	if($("#idFormCarga").valid())
	{
		this.uploader.startUpload();
	}
};

UploaderEX.prototype.opentUploader = function() {
	
	$("#fechaInicioNuevaDiv").hide();
	this["idFormCarga"].resetForm();
	
	$("#idFormCarga").find(
	'input:text, input:password, input:file, select, textarea').val('');
	$("#idFormCarga").find('input:radio, input:checkbox').removeAttr(
	'checked').removeAttr('selected');
	
	$("#fechaInicioNuevo").datepicker("option", "minDate", $("#idMDLAvalable").val().replace(/\s+/g, '') );
	this.uploader.reset();
	
	$('#modalCarga').modal('show');
};

